<?php
$footer_article = ''; // Footer Article Nummer = zb: '6'
$favicon_apple = ''; // Pfad Zum Apple Favicon = zb: 'resources/css/...'
$favicon_32 = ''; // Pfad Zum 32px Favicon = zb: 'resources/css/...'
$favicon_16 = ''; // Pfad Zum 16px Favicon = zb: 'resources/css/...'
$css_array = ['']; // Pfade zu Css Dateien = zb: ['resources/css/...','resources/css/...','resources/css/...']
$js_array = ['']; // Pfade zu JS Dateien = zb: ['resources/js/...','resources/js/...','resources/js/...']
$logo = ''; // Pfad Zum Navi-Logo = zb: 'media/...'
	
// error_reporting(0);
error_reporting(E_ALL);
// Error report should only be active during development. Deavtivate (0) on a live website

$page_is_visible = true;

// Is current article offline?
if (rex_article::getCurrent()->isOnline() == 0) {
	$page_is_visible = false;
}

// is online_from_date newer than actual date?
if (rex_article::getCurrent()->getValue('art_online_from') != '' && rex_article::getCurrent()->getValue('art_online_from') > time()) {
	$page_is_visible = false;
}

// is online_from_date older than actual date
if (rex_article::getCurrent()->getValue('art_online_to') != '' && rex_article::getCurrent()->getValue('art_online_to') < time()) {
	$page_is_visible = false;
}


// Is User not logged in?
if (!rex_backend_login::hasSession()) {
	if ($page_is_visible == false) {
		// redirect to 404 page
		header ('HTTP/1.1 301 Moved Permanently');
		header('Location: '.rex_getUrl(rex_article::getNotFoundArticleId(), rex_clang::getCurrentId()));
		exit();
	}
}

// Necessary for input and output of module "Tabs und Akkordions"
rex::setProperty('tabs', new ArrayIterator());

// set charset to utf8
header('Content-Type: text/html; charset=utf-8');

// setLocale is a language meta field, set your individual locale informations per language
setlocale (LC_ALL, rex_clang::getCurrent()->getValue('clang_setlocale'));

?><!DOCTYPE html>
<html lang="<?php echo rex_clang::getCurrent()->getCode(); ?>">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
 <title><?php echo rexx::getTitle(); ?></title>
    <meta name="description" content="<?php echo rexx::getDescription(); ?>" />
    <meta name="keywords" content="<?php echo rexx::getKeywords(); ?>" />
    <meta name="robots" content="<?php echo rexx::getRobotRules();?>" />
	<?php
	// Use article title as title-Tag, unless a custom title-tag is set
    /*if ($this->hasValue("art_title") && $this->getValue("art_title") != "") {
		$title = htmlspecialchars($this->getValue('art_title'));
	} else {
		$title = htmlspecialchars($this->getValue('name'));
	}

	echo '
	<title>'.$title.'</title>';*/

	// Keywords and description
	// If current article does not have keywords and description, take them from start article
	$keywords = "";
    if ($this->hasValue("art_keywords") && $this->getValue("art_keywords") != "") {
        $keywords = $this->getValue("art_keywords");
    } else {
        $home = new rex_article_content(rex_article::getSiteStartArticleId());
        if ($home->hasValue("art_keywords")) {
            $keywords = $home->getValue('art_keywords');
        }
    }

    $description = "";
    if ($this->hasValue("art_description") && $this->getValue("art_description") != "") {
        $description = $this->getValue("art_description");
    } else {
        $home = new rex_article_content(rex_article::getSiteStartArticleId());
        if ($home->hasValue("art_description")) {
            $description = $home->getValue('art_description');
        }
    }

	echo '
	<meta name="keywords" content="'.htmlspecialchars($keywords).'">';
	echo '
	<meta name="description" content="'.htmlspecialchars($description).'">';
	?>
<link rel="canonical" href="<?php echo rexx::getCanonicalUrl(); ?>" />
    <link rel="stylesheet" href="https://modulsammlung.raumkontakt.de/css-ex/bootstrap_redaxo-standard.css') ?>">
    <link rel="stylesheet" href="https://modulsammlung.raumkontakt.de/css-ex/vortex.css') ?>">
    <link rel="apple-touch-icon" sizes="180x180" href="<?= rex_url::base($favicon_apple) ?>">
    <link rel="icon" type="image/png" sizes="32x32" href="<?= rex_url::base($favicon_32) ?>">
    <link rel="icon" type="image/png" sizes="16x16" href="<?= rex_url::base($favicon_16) ?>">
	<?php
	foreach ($css_array as $css) {
		echo '<link rel="stylesheet" href="'.$css.'">';
	}?>
	<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>
<!-- *******************************************************
Headerpic
******************************************************* -->
<?php
// Include Headerpicture recursive
// If current article has no picture, take picture from parent categories
$header = '';
$headerpic = $this->getValue('art_file');
$darken = $this->getValue('art_darken');

if ($headerpic == '') {
    $category = rex_article::getCurrent()->getCategory();
    while ($headerpic == '') {
        if ($category == null) {
            break;
        }
        $headerpic = $category->getValue('art_file');
        $darken = $category->getValue('art_darken');
        $category = $category->getParent();
    }
}

if ($headerpic == '') {
    $headerpic = rex_article::getSiteStartArticle()->getValue('art_file');
    $darken = rex_article::getSiteStartArticle()->getValue('art_file_darken');
}


$header = '
<!--<div id="headerpic" style="background-image: url('.rex_url::frontendController(['rex_media_type' => 'fullscreen', 'rex_media_file' => $headerpic]).');">-->';

    // Darken header picture
    if ($darken == '')  $darken = '0.35'; // Default darken 35%
    $header .= '
    <!--<div class="layer" style="opacity: '.$darken.';"></div>-->';

    $header .= '
    <div class="container centered">
        <div class="row">
            <h3>'.$this->getValue('name').'</h3>
        </div><!-- /row -->
    </div> <!-- /container -->
</div><!-- /headerpic -->';



// If gallery exists,
// show gallery instead of header picture
if ($this->getValue('art_gallery') != '') {

    $header = '
    <section class="hero-slider slider-fullscreen">
        <ul class="slides">';
        
            $imagelist = explode(',', $this->getValue('art_gallery'));
            foreach ($imagelist as $file) {
            
                $media = rex_media::get($file);
                if ($media) {
                
                    $languageSuffix = '';
                    if (rex_clang::getCurrentId() == 2) {
                        $languageSuffix = '_en';
                    }

                    $mediadesc = str_replace(array("\r\n", "\n", "\r"), ' ', $media->getValue('med_description' . $languageSuffix));
					// english
					$mediatitle = $media->getValue('med_gallery_title' . $languageSuffix);
                    $mediatext = $media->getValue('med_gallery_text' . $languageSuffix);
                    $medialinktext = $media->getValue('med_gallery_link_text' . $languageSuffix);
					$medialink = $media->getValue('med_gallery_link');
					$mediadarken = $media->getValue('med_darken');

                    $header .= '
                    <li class="parallax kenburns">';
                        
                        // Abdunkelung
                        if ($mediadarken == '') $mediadarken = '0.35'; // Default darken 35%
                        $header .= '
                        <div class="overlay" style="opacity: '.$mediadarken.';"></div>';

                        $header .= '
                        <img alt="'.$mediatitle.'" class="background-image" src="'.rex_url::frontendController(['rex_media_type' => 'fullscreen', 'rex_media_file' => $file]).'">';


                        if ($mediatitle != '' || $mediatext != '') {
                            $header .= '
                            <div class="row slide-content animate">
                                <div class="col-lg-6 col-lg-offset-3 text-center">';

                                    if ($mediatitle != '') {
                                        $header .= '
                                        <h1>'.$mediatitle.'</h1>';
                                    }
                                    if ($mediatitle != '') {
                                        $header .= '
                                        <p class="lead">'.$mediatext.'</p>';
                                    }
                                    if ($medialink != '' && $medialinktext != '') {
                                        $header .= '
                                        <a href="'.$medialink.'" class="btn btn-theme">'.$medialinktext.'</a>';
                                    }

                                    $header .= '
                                </div>
                            </div>';
                        }

                    $header .= '
                    </li>';
                }
            }
        
        $header .= '
        </ul>
    </section><!--end of fullscreen slider-->';
}

echo $header;
?>

<body>
    <div id="responsivenavi">
    <span style="font-size:30px;cursor:pointer;" id="hamburger" onclick="openNav()">&#9776;</span> 
    </div>
    
    
    <div class="navi-breadcrumb">

<!-- Fixed navbar -->
<div id="navbar-default" class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container vortex-width navbar-response">
	<div class="navbar-header">
	  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
		<span class="sr-only">Toggle navigation</span>
		<span class="icon-bar"></span>
		<span class="icon-bar"></span>
		<span class="icon-bar"></span>
	  </button>
	  <a class="navbar-brand" href="<?= rex_getUrl(rex_article::getSiteStartArticleId(), rex_clang::getCurrentId()) ?>"><img id="logo" src="<?php echo $logo ?>" alt="Logo"></a>
	</div>
	<div id="navi-links" class="navbar-collapse collapse navbar-right">
		<!-- Navigation -->
		<?php
// uncomment to show language array
// print_r(rex_clang::getAll());

$current_language = '';
$languages = '';


// two languages online -> only show link to other language
if (count(rex_clang::getAll(true)) == 2) {

	foreach (rex_clang::getAll(true) as $lang) {
		if (rex_clang::getCurrentId() != $lang->getValue('id')) {
			$languages = '
			<li class="lang-title visible-xs">{{ languages }}</li>
			<li class="lang">
				<a href="'.rex_getUrl($this->getValue('article_id'), $lang->getValue('id')).'" title="'.$lang->getValue('name').'">
					<span class="hidden-xs">'.$lang->getValue('code').'</span>
					<span class="visible-xs">'.$lang->getValue('name').'</span>
				</a>
			</li>';
		}
	}

	rex::setProperty('lang_switch', $languages);

// more than two languages online -> show dropdown, current language not clickable
} elseif (count(rex_clang::getAll(true)) > 2) {
	
	foreach (rex_clang::getAll(true) as $lang) {
		if (rex_clang::getCurrentId() == $lang->getValue('id')) {
			$current_language .= '
			<a href="#" title="'.$lang->getValue('name').'">
				<span class="hidden-xs">'.$lang->getValue('code').'</span>
				<span class="visible-xs">'.$lang->getValue('name').'</span>
                <span class="hidden-xs">'.$lang->getValue('code').'</span>
					<span class="visible-xs">'.$lang->getValue('name').'</span>
			</a>';
		} else {
			$languages .= '
			<li class="dropdown-toggle">
				<a href="'.rex_getUrl($this->getValue('article_id'), $lang->getValue('id')).'" title="'.$lang->getValue('name').'">
					<span class="hidden-xs">'.$lang->getValue('code').'</span>
					<span class="visible-xs">'.$lang->getValue('name').'</span>
				</a>
			</li>';
		}
	}

	rex::setProperty('lang_switch', '<li class="lang-title visible-xs">{{ languages }}</li><li class="dropdown-toggle lang">' . $current_language . '<ul class="dropdown-menu">' . $languages . '</ul></li>');

}
?>
<?php
$path = explode("|",$this->getValue("path").$this->getValue("article_id")."|");
$path1 = ((!empty($path[1])) ? $path[1] : '');
$path2 = ((!empty($path[2])) ? $path[2] : '');

$nav_main = '';

foreach (rex_category::getRootCategories() as $lev1) {

	$hidden_ids = array(1,6);
	// hide Home- and footer-article in navigation

	$category_is_visible = true;
	// only visible if online_from and online_to is ok
	if ($lev1->getValue('art_online_from') != '' && $lev1->getValue('art_online_from') > time()) { $category_is_visible = false; }

	if ($lev1->getValue('art_online_to') != '' && $lev1->getValue('art_online_to') < time()) { $category_is_visible = false; }


	if ($lev1->isOnline(true) && (!in_array($lev1->getId(), $hidden_ids)) && $category_is_visible == true) {

		if ($lev1->getId() == $path1) {
			$nav_main .= '
			<li class="dropdown-toggle"><a id="nav-links" name="navlinks" class="active" href="'.$lev1->getUrl().'">'.htmlspecialchars($lev1->getValue('name')).'</a>';
		} else {
   			$nav_main .= '
			<li class="dropdown-toggle"><a name="navlinks" id="nav-links" href="'.$lev1->getUrl().'">'.htmlspecialchars($lev1->getValue('name')).'</a>';
		}

		$nav_main .= '
		</li>';
	}
}
$lang_switch ="";

if (count(rex_clang::getAll(true)) > 1) {

    foreach (rex_clang::getAll(true) as $lang) {
        // aktuelle Sprachenicht klickbar
        if (rex_clang::getCurrentId() == $lang->getValue('id')) {
             $lang_switch .= '
              <li class="dropdown-toggle"><a class="active"><span class="langswitcher"> '.$lang->getValue('code').' </span></a></li>';
        // alle anderen klickbar
        } 
        
        else {
            $lang_switch .= '
              <li class="dropdown-toggle"><a href="https://www.deutsche-vortex.com/"><span class="langswitcher"> '.$lang->getValue('code').' </span></a></li>';//'.rex_getUrl($this->getValue('article_id'), $lang->getValue('id')).'
        }
    }

}
// Sprache



echo '<div id="navi-header" class="navbar-collapse collapse navbar-right">';

$article_id = 54 // ID des Suchergebnis-Artikels - bitte anpassen! ?>
<form class="search_it-form" id="search_it-form1" action="<?php echo rex_getUrl($article_id, rex_clang::getCurrentId()); ?>" method="get">
    <fieldset>
        <div class="search_it-flex">
            <input type="hidden" name="article_id" value="<?php echo $article_id; ?>" />
            <input type="hidden" name="clang" value="<?php echo rex_clang::getCurrentId(); ?>" />
            <input type="text" name="search" value="<?php if(!empty(rex_request('search','string'))) { echo rex_escape(rex_request('search','string')); } ?>" placeholder="Suchbegriff eingeben" />
            <input class="search_it-button" type="submit" value="" />
        </div>
    </fieldset>
</form>
   
<?php echo'
	<ul id="navlink-container" class="nav navbar-nav">
		'.$nav_main.' 
	</ul>'.'<div id="language-switch">'.$lang_switch.'</div>';?>

<?php echo'


<div class="hidden" id="language-switch">
<li class="dropdown-toggle">
<a href="https://www.deutsche-vortex.com/">
<span class="langswitcher"> en </span>
</a>
</li>
</div>


</div><!--/.nav-collapse -->
<div class="container vortex-width" id="breadcrumpy" style="float: left;position: relative;top: -65px;">'; 


$path = explode("|",$this->getValue("path").$this->getValue("article_id")."|");
$firstLevel = $path[1];

if ($firstLevel != '') { // show breadcrumb only in second level or deeper
	echo '<div id="breadcrumb" class="breadcrumb-wrapper">  ';
		//echo 'Du bist hier: ';
		$startArticle = rex_article::get(rex_article::getSiteStartArticleId());
		$startArticleUrl = $startArticle->getUrl();
		$startArticleName = $startArticle->getName();
		//echo '<a href="'.$startArticleUrl.'"><span class="home_link">'.$startArticleName.'</a></span>';

		$nav = rex_navigation::factory();
		echo $nav->showBreadcrumb('', true);
	echo '</div></div>';
}


echo '</div>';
?>


    
<nav id="myNav" class="overlay">
        <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
    	<div id="overlay-language"><? echo $lang_switch ?></div>
        <div class="overlay-content">
		          <?php
$path = rex_article::getCurrent()->getPathAsArray();
$path1 = ((!empty($path[0])) ? $path[0] : '');

    foreach (rex_category::getRootCategories() as $lev1) {
        if ($lev1->isOnline(true)) {

            $active = ($lev1->getId() == $path1) ? ' class="active"' : '';
            echo '<a href="'.$lev1->getUrl().'">'.htmlspecialchars($lev1->getValue('name')).'</a>';
        }
    }

echo '</div>';
            ?>
            <div class="impressum-overlay">
                <div class="overlay-innen">
<a class="content-footertext active" href="/de/agb.html">AGB  |</a>
<a class="content-footertext" href="/de/datenschutz.html">Datenschutz  |</a>
<a class="content-footertext" href="/de/impressum.html">Impressum</a>
     </div></div>
<?php echo '</nav>';
?>

        
      
		<!--/Navigation -->

	</div><!--/.nav-collapse -->
  </div>
</div>
    <!--REX_TEMPLATE[11]-->


 

<?php

/*
If "01 . Standard", content-container has full width
*/
if (SITE_TYPE == 'col1') { ?>
        <div class="m150"></div>
	<article class="mtb" id="mtb">
		<?php echo $this->getArticle('1'); ?>
	</article>
<?php }

/*
If "02 . Zweispalter", there is a main column and a side column with 2/3 - 1/3 width
*/
if (SITE_TYPE == 'col2') { ?>
	<div class="container mtb">
		<div class="row">

			<div class="col-lg-8 col-sm-12">
				<?php echo $this->getArticle('1'); ?>
			</div>

			<div class="col-lg-3 col-lg-offset-1 sidebar hidden-xs hidden-sm">
				<!-- Subnavigation -->
				<?php
$path = explode("|",$this->getValue("path").$this->getValue("article_id")."|");
$path1 = ((!empty($path[1])) ? $path[1] : '');
$path2 = ((!empty($path[2])) ? $path[2] : '');

$article = rex_article::get($path1);
$articleUrl = $article->getUrl();
$articleName = $article->getName();

$nav = rex_navigation::factory();
$subnav = $nav->get($path1,2,TRUE,TRUE);

if ($subnav != '') {

	echo '
	<h4 id="sidenav_title"><a href="'.$articleUrl.'">'.$articleName.'</a></h4>
	<div class="hline"></div>';

	echo $subnav;

}
?>
				<!-- /Subnavigation -->

				<!-- more Content -->
				<?php echo $this->getArticle('2'); ?>
			</div>

		</div>
	</div>
<?php } ?>
<button onclick="topFunction()" id="myBtn" title="Go to top">^</button>
        <script>
//Get the button
var mybutton = document.getElementById("myBtn");

// When the user scrolls down 20px from the top of the document, show the button
window.onscroll = function() {scrollFunction()};

function scrollFunction() {
  if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
    mybutton.style.display = "block";
  } else {
    mybutton.style.display = "none";
  }
}

// When the user clicks on the button, scroll to the top of the document
function topFunction() {
  document.body.scrollTop = 0;
  document.documentElement.scrollTop = 0;
}
</script>
<!-- *******************************************************
 FOOTER
 ******************************************************* -->
 <div id="footerwrap">
	<div class="container vortex-width">
			<div class="col-md-12" id="firstfooter">

			REX_ARTICLE[id=<?php echo $footer_article ?>]
			<?php
			// Include content of article 6. You can do it this way too:
			// $footer = new rex_article_content(6);
			// echo $footer->getArticle('1');
			?>

			</div><! --/col -->
	</div><! --/container -->   
 </div><! --/footerwrap -->


<!-- *******************************************************
 Cookie Consent
 ******************************************************* -->
<!-- Google Analytics -->
<!-- cookie consent start -->

<link rel="stylesheet" type="text/css" href="/resources/css/cookieconsent.min.css" />
<script defer type="text/javascript" src="/resources/js/cookieconsent.min.js"></script>

<script>
function loadGAonConsent(){
  window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
  ga('create', 'UA-XXXXXXXX-X', 'auto'); ga('set', 'anonymizeIp', true); ga('send', 'pageview');
  var gascript = document.createElement("script");
  gascript.async = true;
  gascript.src = "https://www.google-analytics.com/analytics.js";
  document.getElementsByTagName("head")[0].appendChild(gascript, document.getElementsByTagName("head")[0]);               
}


if (document.cookie.split(';').filter(function(item) {
return item.indexOf('cookieconsent_status=allow') >= 0
}).length) {
if (navigator.doNotTrack != 1 && navigator.doNotTrack != "yes" && window.doNotTrack != 1 && navigator.msDoNotTrack != 1) {
loadGAonConsent();
}
}

 var url = document.URL;
    var urlparts = url.split("/");
    var cookiemsg = "";
    var cookielink = "";
    var cookielinktext = "";
    var cookiemsg2 = "";
    var cookieallow = "";
    var cookiedeny = "";
    if(urlparts[3] == "en"){
        cookiemsg = "Click „Agree“ to use cookies for the best possible user experience. More information can be found in the";
        cookielinktext = "privacy policy";
        cookielink = "/en/privacy";
        cookiemsg2 = "No cookies will be set without your consent or by clicking on decline.";
        cookieallow = "Accept";
        cookiedeny = "Deny";
    } else {
        cookiemsg = "Klicken Sie auf „Einverstanden“, um Cookies für ein bestmögliches Nutzererlebnis zu nutzen. Weitere Informationen finden Sie in der ";
        cookielinktext = "Datenschutzerkl&auml;rung.";
        cookielink = "/de/datenschutz";
        cookiemsg2 = "Ohne Ihr Einverständnis oder per Klick auf Ablehnen werden keine Cookies gesetzt.";
        cookieallow = "Einverstanden";
        cookiedeny = "Ablehnen"; 
    }

window.addEventListener("load", function(){
window.cookieconsent.initialise({
  "palette": {
    "popup": { "background": "#eaf7f7", "text": "#000000"  },
    "button": { "background": "#a1a1a1"  }
  },
  "theme": "classic",
  "type": "opt-in",
  "content": {
    "message": cookiemsg,
    "dismiss": cookiedeny,
    "deny": cookiedeny,
    "allow": cookieallow,
    "link": cookielinktext,
    "href": cookielink
  },
  "elements": {
                  messagelink: '<span id="cookieconsent:desc" class="cc-message">{{message}} <a aria-label="learn more about cookies" tabindex="0" class="cc-link" href="{{href}}">{{link}}</a><br>'+ cookiemsg2 +'</span>'
  },
    
  // cookies abschalten
		onStatusChange: function(status, chosenBefore) {
			var type = this.options.type;
			var didConsent = this.hasConsented();
			if (type == 'opt-in' && didConsent) {
				// enable cookies
				loadGAonConsent();
			}
		}
	})
});
</script>
<style>
.cc-compliance > .cc-btn {flex: 1 0 auto;}
</style>
<!-- cookie consent end --> 

<div style="display:none">413</div>
<!-- Javascripts -->
<script type="text/javascript" src="<?= rex_url::base('http://modulsammlung.raumkontakt.de/css-ex/standardformat.css') ?>"></script>
<script
  src="https://code.jquery.com/jquery-1.12.4.min.js"
  integrity="sha256-ZosEbRLbNQzLpnKIkEdrPv7lOy9C27hHQ+Xp8a4MxAQ="
  crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd" crossorigin="anonymous"></script>
<?php
	foreach ($js_array as $js) {
		echo '<script type="text/javascript" src="'.$js.'"></script>';
	}?>
<script>
var x = window.matchMedia("(min-width: 992px)");
window.onscroll = function() {scrollFunction()};


function scrollFunction() {
     	if (x.matches){
	if (document.body.scrollTop > 50 || document.documentElement.scrollTop > 50) {
	  document.getElementById("navbar-default").style.height = "150px";
    document.getElementById("vortex-logo").style.width = "80px";
    document.getElementById("navi-links").style.marginTop = "0px";
    document.getElementById("navi-header").style.marginTop = "65px";
    document.getElementById("navlink-container").style.top = "-15px";
    document.getElementById("search_it-form1").style.top = "-8px";
    document.getElementsByName("navlinks")[0].style.fontSize = "15px";
    document.getElementsByName("navlinks")[1].style.fontSize = "15px";
    document.getElementsByName("navlinks")[2].style.fontSize = "15px";
    document.getElementsByName("navlinks")[3].style.fontSize = "15px";
    document.getElementsByName("navlinks")[4].style.fontSize = "15px";
    document.getElementsByName("navlinks")[5].style.fontSize = "15px";
    document.getElementById("myBtn").style.display = "block";

  } else {
    document.getElementById("navbar-default").style.height = "190px";
    document.getElementById("vortex-logo").style.width = "110px";
    document.getElementById("navi-links").style.marginTop = "65px";
    document.getElementById("navi-header").style.marginTop = "35px";
    document.getElementById("navlink-container").style.top = "-15px";
    document.getElementById("search_it-form1").style.top = "-6px";
    document.getElementsByName("navlinks")[0].style.fontSize = "19px";
    document.getElementsByName("navlinks")[1].style.fontSize = "19px";
    document.getElementsByName("navlinks")[2].style.fontSize = "19px";
    document.getElementsByName("navlinks")[3].style.fontSize = "19px";
    document.getElementsByName("navlinks")[4].style.fontSize = "19px";
    document.getElementsByName("navlinks")[5].style.fontSize = "19px";
    document.getElementById("mtb").style.marginTop = "-20px";
	document.getElementById("myBtn").style.display = "none";
  }
}
	

}
	  </script>      
<script>
function openNav() {
  document.getElementById("myNav").style.width = "100%";
    document.getElementById("responsivenavi").style.display = "none";
}
function closeNav() {
  document.getElementById("myNav").style.width = "0%";
    document.getElementById("responsivenavi").style.display = "block";
}
</script>
</body>
</div>
</html>