<?php
$firmenname = ''; // Name neben Logo in Navi = zb 'Firma GmbH'
$firmenfarbe = ''; // Farbe der Firmenschrift = zb '#0000'
$footer_article = ''; // Footer Article Nummer = zb: '6'
$favicon_apple = ''; // Pfad Zum Apple Favicon = zb: 'resources/css/...'
$favicon_32 = ''; // Pfad Zum 32px Favicon = zb: 'resources/css/...'
$favicon_16 = ''; // Pfad Zum 16px Favicon = zb: 'resources/css/...'
$css_array = ['']; // Pfade zu Css Dateien = zb: ['resources/css/...','resources/css/...','resources/css/...']
$js_array = ['']; // Pfade zu JS Dateien = zb: ['resources/js/...','resources/js/...','resources/js/...']
$logo = ''; // Pfad Zum Navi-Logo = zb: 'media/...'
error_reporting(0);
// error_reporting(E_ALL);
// Error report should only be active during development. Deavtivate (0) on a live website

$page_is_visible = true;

// Is current article offline?
if (rex_article::getCurrent()->isOnline() == 0) {
	$page_is_visible = false;
}

// is online_from_date newer than actual date?
if (rex_article::getCurrent()->getValue('art_online_from') != '' && rex_article::getCurrent()->getValue('art_online_from') > time()) {
	$page_is_visible = false;
}

// is online_from_date older than actual date
if (rex_article::getCurrent()->getValue('art_online_to') != '' && rex_article::getCurrent()->getValue('art_online_to') < time()) {
	$page_is_visible = false;
}


// Is User not logged in?
if (!rex_backend_login::hasSession()) {
	if ($page_is_visible == false) {
		// redirect to 404 page
		header ('HTTP/1.1 301 Moved Permanently');
		header('Location: '.rex_getUrl(rex_article::getNotFoundArticleId(), rex_clang::getCurrentId()));
		exit();
	}
}

// Necessary for input and output of module "Tabs und Akkordions"
rex::setProperty('tabs', new ArrayIterator());

// set charset to utf8
header('Content-Type: text/html; charset=utf-8');

// setLocale is a language meta field, set your individual locale informations per language
setlocale (LC_ALL, rex_clang::getCurrent()->getValue('clang_setlocale'));

?>


<!DOCTYPE html>

<html lang="<?php echo rexx::getLangCode(); ?>">
<head>
    <meta charset="utf-8" />
    <base href="<?php echo rexx::getBaseUrl(); ?>" />
    <title><?php echo rexx::getTitle(); ?></title>
    <meta name="description" content="<?php echo rexx::getDescription(); ?>" />
    <meta name="robots" content="<?php echo rexx::getRobotRules();?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="canonical" href="<?php echo rexx::getCanonicalUrl(); ?>" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	
	 <!-- FB -->  
    <meta property="og:type" content="website" />
    <meta property="og:url" content="<?php echo rexx::getCanonicalUrl(); ?>" />
    <meta property="og:title" content="<?php echo rexx::getTitle(); ?>" />
    <meta property="og:description" content="<?php echo rexx::getDescription(); ?>" />
    <meta property="og:locale" content="de_DE"/>
    <!-- FB ENDE -->
	
	
    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="http://modulsammlung.raumkontakt.de/css-ex/archis-style.css">
    <link rel="stylesheet" href="<?php echo rexx::getCSSFile('print.css'); ?>" type="text/css" media="print" />
    <?php
	foreach ($css_array as $css) {
		echo '<link rel="stylesheet" href="'.$css.'">';
	}?>
    <link rel="apple-touch-icon-precomposed" sizes="57x57" href="<? echo $favicon_apple ?>" />
    <link rel="icon" type="image/png" href="<?php echo $favicon_32 ?>" />
    <link rel="icon" type="image/png" href="<?php echo $favicon_16 ?>" />
    <meta name="application-name" content="<?php echo $firmenname ?>"/>
    <meta name="msapplication-TileColor" content="<?php echo $firmenfarbe ?>" />
    <meta name="msapplication-TileImage" content="<?php echo $logo ?>" />	
</head>
<body>

<!-- Fixed navbar -->
<div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="plr plr10">
	<div class="navbar-header">
	  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".mobile-menu">
		<span class="sr-only">Toggle navigation</span>
		<span class="icon-bar">•</span>
		<span class="icon-bar">•</span>
		<span class="icon-bar">•</span>
	  </button>
	  <a class="navbar-brand" href="<?= rex_getUrl(rex_article::getSiteStartArticleId(), rex_clang::getCurrentId()) ?>"><img src="/media/logo_archis_gr.svg" alt="archis" width="149" height="39"></a>
	</div>
	<div class="navbar-collapse collapse navbar-right">
		<!-- Navigation -->
		<?php
// uncomment to show language array
// print_r(rex_clang::getAll());

$current_language = '';
$languages = '';


// two languages online -> only show link to other language
if (count(rex_clang::getAll(true)) == 2) {

$languages .= '<div class="lang">';
	foreach (rex_clang::getAll(true) as $lang) {
if ($lang->getValue('id') == 2) {
$languages .= ' <span>&middot;</span> ';
}
			$languages .= '
				<a'. (rex_clang::getCurrentId() == $lang->getValue('id') ? ' class="active"' : '') .' href="'.rex_getUrl($this->getValue('article_id'), $lang->getValue('id')).'" title="'.$lang->getValue('name').'">
					<span class="hidden-xs">'.$lang->getValue('code').'</span>
					<span class="visible-xs">'.$lang->getValue('name').'</span>
				</a>';
	}
$languages .= '</div>';

	rex::setProperty('lang_switch', $languages);

// more than two languages online -> show dropdown, current language not clickable
} elseif (count(rex_clang::getAll(true)) > 2) {
	
	foreach (rex_clang::getAll(true) as $lang) {
		if (rex_clang::getCurrentId() == $lang->getValue('id')) {
			$current_language .= '
			<a href="#" title="'.$lang->getValue('name').'">
				<span class="hidden-xs">'.$lang->getValue('code').'</span>
				<span class="visible-xs">'.$lang->getValue('name').'</span>
			</a>';
		} else {
			$languages .= '
			<li class="dropdown-toggle">
				<a href="'.rex_getUrl($this->getValue('article_id'), $lang->getValue('id')).'" title="'.$lang->getValue('name').'">
					<span class="hidden-xs">'.$lang->getValue('code').'</span>
					<span class="visible-xs">'.$lang->getValue('name').'</span>
				</a>
			</li>';
		}
	}

	rex::setProperty('lang_switch', '<li class="lang-title visible-xs">{{ languages }}</li><li class="dropdown-toggle lang">' . $current_language . '<ul class="dropdown-menu">' . $languages . '</ul></li>');

}

$path = explode("|",$this->getValue("path").$this->getValue("article_id")."|");
$path1 = ((!empty($path[1])) ? $path[1] : '');
$path2 = ((!empty($path[2])) ? $path[2] : '');

$nav_main = '';

foreach (rex_category::getRootCategories() as $lev1) {

	$hidden_ids = array(1,6);
	// hide Home- and footer-article in navigation

	$category_is_visible = true;
	// only visible if online_from and online_to is ok
	if ($lev1->getValue('art_online_from') != '' && $lev1->getValue('art_online_from') > time()) { $category_is_visible = false; }

	if ($lev1->getValue('art_online_to') != '' && $lev1->getValue('art_online_to') < time()) { $category_is_visible = false; }


	if ($lev1->isOnline(true) && (!in_array($lev1->getId(), $hidden_ids)) && $category_is_visible == true) {

		if ($lev1->getId() == $path1) {
			$nav_main .= '
			<li class="dropdown-toggle active"><a href="'.$lev1->getUrl().'">'.htmlspecialchars($lev1->getValue('name')).'</a>';
		} else {
   			$nav_main .= '
			<li class="dropdown-toggle"><a href="'.$lev1->getUrl().'">'.htmlspecialchars($lev1->getValue('name')).'</a>';
		}

		// 1st level start
		$lev1Size = sizeof($lev1->getChildren());


		$nav_main .= '
		</li>';
	}
}

echo '
<div class="navbar-collapse collapse navbar-right">
	<ul class="nav navbar-nav">
		'.$nav_main.'
	</ul>
<div class="lang-switch">'. rex::getProperty('lang_switch') .'</div>
</div><!--/.nav-collapse -->';
?>

		<!--/Navigation -->

	</div><!--/.nav-collapse -->
  </div>
</div>

<div class="mobile-menu plr collapse" style="height: 0px;">
  <ul class="menu-list">
<?php
    $article = rex_article::get(15);
    echo '<li class="menu-main-entry collapsed" data-toggle="collapse" data-target=".open-filter-blog"><a href="/blog">.blog</a></li>';
    $slice = rex_article_slice::getFirstSliceForArticle(15);
    $customYear = $slice->getValue(1);
    $maxyear = date("Y");
    $curYear = $maxyear;

echo '<div class="open-filter-blog collapse" style="height: 0;display:none">
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=all"><div class="col-xs-6">Alle</div></a>
';
        while($customYear <= $curYear) {
          echo '<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter='. $curYear .'"><div class="col-xs-6">'. $curYear .'</div></a>';
          $curYear--;
        }
    echo '<div class="clearfix"></div></div>';

    $article = rex_article::get(5);
    echo '<li class="menu-main-entry collapsed" data-toggle="collapse" data-target=".open-filter-work"><a href="/work">.work</a></li>';
    $slice = rex_article_slice::getFirstSliceForArticle(5);
$custom1 = $slice->getValue(2);
$custom2 = $slice->getValue(3);
$custom3 = $slice->getValue(4);
    echo '<div class="open-filter-work collapse" style="height: 0px;display:none">
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=all"><div class="col-xs-6">Alle</div></a>
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=verwaltung"><div class="col-xs-6">Verwaltung</div></a>
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=hotel"><div class="col-xs-6">Hotel</div></a>
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=wohnbau"><div class="col-xs-6">Wohnbau</div></a>
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=oeffentlich"><div class="col-xs-6">Öffentlich</div></a>
<!-- <a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=bildung"><div class="col-xs-6">Bildung</div></a> -->
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=gewerbe"><div class="col-xs-6">Gewerbe</div></a>
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=gesundheit"><div class="col-xs-6">Gesundheit</div></a>
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=wettbewerb"><div class="col-xs-6">Wettbewerb</div></a>
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=neubau"><div class="col-xs-6">Neubau</div></a>
<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter=sanierung"><div class="col-xs-6">Sanierung</div></a>';
if ($custom1 != "") {
  echo '<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter='. $custom1 .'"><div class="col-xs-6">'. $custom1 .'</div></a>';
}
if ($custom2 != "") {
  echo '<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter='. $custom2 .'"><div class="col-xs-6">'. $custom2 .'</div></a>';
}
if ($custom1 != "") {
  echo '<a href="'. $article->getUrl() .''. (strpos($article->getUrl(), '?') !== false ? "&" : "?").'filter='. $custom3 .'"><div class="col-xs-6">'. $custom3 .'</div></a>';
}
echo '<div class="clearfix"></div></div>';
    $article = rex_article::get(29);
    //echo '<a href="'. $article->getUrl() .'"><li class="menu-main-entry collapsed">.info</li></a>';
     echo '<li class="menu-main-entry collapsed" data-toggle="collapse" data-target=".open-filter-info"><a href="/info">.info</a></li>';     
     echo '<div class="open-filter-info collapse" style="height: 0px;display:none;">     
    <a class="infoAnchor" href="'. $article->getUrl() .'#Profil" data-toggle="collapse" data-target=".mobile-menu"><div class="col-xs-6">Profil</div></a>  
     
    <a class="infoAnchor" href="'. $article->getUrl() .'#Team" data-toggle="collapse" data-target=".mobile-menu"><div class="col-xs-6">Team</div></a>  

    <a class="infoAnchor" href="'. $article->getUrl() .'#Karriere" data-toggle="collapse" data-target=".mobile-menu"><div class="col-xs-6">Karriere</div></a>       

    <a class="infoAnchor" href="'. $article->getUrl() .'#Details" data-toggle="collapse" data-target=".mobile-menu"><div class="col-xs-6">Details</div></a>     
    
    <a class="infoAnchor" href="'. $article->getUrl() .'#Kontakt" data-toggle="collapse" data-target=".mobile-menu"><div class="col-xs-6">Kontakt</div></a>';
echo '<div class="clearfix"></div></div>';    
?>
  </ul>
</div>

<!-- *******************************************************
Headerpic rex-template 5 einbauen falls headerbild wieder gewünscht
******************************************************* -->


<?php


/*
If "01 . Standard", content-container has full width
*/
if (SITE_TYPE == 'col1') { ?>
	<article class="mtb">
		<?php echo $this->getArticle('1'); ?>
	</article>
<?php }

/*
If "02 . Zweispalter", there is a main column and a side column with 2/3 - 1/3 width
*/
if (SITE_TYPE == 'col2') { ?>
	<div class="container mtb">
		<div class="row">

			<div class="col-lg-8 col-sm-12">
				<?php echo $this->getArticle('1'); ?>
			</div>

			<div class="col-lg-3 col-lg-offset-1 sidebar hidden-xs hidden-sm">
				<!-- Subnavigation -->
				<?php
$path = explode("|",$this->getValue("path").$this->getValue("article_id")."|");
$path1 = ((!empty($path[1])) ? $path[1] : '');
$path2 = ((!empty($path[2])) ? $path[2] : '');

$article = rex_article::get($path1);
$articleUrl = $article->getUrl();
$articleName = $article->getName();

$nav = rex_navigation::factory();
$subnav = $nav->get($path1,2,TRUE,TRUE);

if ($subnav != '') {

	echo '
	<h4 id="sidenav_title"><a href="'.$articleUrl.'">'.$articleName.'</a></h4>
	<div class="hline"></div>';

	echo $subnav;

}
?>

				<!-- /Subnavigation -->

				<!-- more Content -->
				<?php echo $this->getArticle('2'); ?>
			</div>

		</div>
	</div>
<?php } ?>

<!-- *******************************************************
 FOOTER
 ******************************************************* -->
<div class="clearfix"></div>
<!-- <span class="page-number"></span> -->
<div id="footnote">
<p><strong>archis</strong> &nbsp;&nbsp; Architekten &nbsp;+&nbsp; Ingenieure GmbH &nbsp; · &nbsp; Stephanienstraße 30  &nbsp; · &nbsp; 76133 Karlsruhe &nbsp;·&nbsp; Germany &nbsp; · &nbsp; Tel +49 (0) 721 919 61-0  &nbsp; · &nbsp; office@archis.de</p>
 </div> 

 <div id="footerwrap">
	<div class="plr">
		<div>
			<div class="col-md-12">

			REX_ARTICLE[<?php echo $footer_article ?>]
			<?php
			// Include content of article 6. You can do it this way too:
			// $footer = new rex_article_content(6);
			// echo $footer->getArticle('1');
			?>

			</div><! --/col -->
		</div><! --/row -->
	</div><! --/container -->
 </div><! --/footerwrap -->



<!-- Google Analytics -->
<!-- cookie consent start -->

<link rel="stylesheet" type="text/css" href="resources/css/cookieconsent.min.css" />
<script defer type="text/javascript" src="resources/js/cookieconsent.min.js"></script>

<script>
function loadGAonConsent(){
  window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
  ga('create', 'UA-164970662-1', 'auto'); ga('set', 'anonymizeIp', true); ga('send', 'pageview');
  var gascript = document.createElement("script");
  gascript.async = true;
  gascript.src = "https://www.google-analytics.com/analytics.js";
  document.getElementsByTagName("head")[0].appendChild(gascript, document.getElementsByTagName("head")[0]);               
}


if (document.cookie.split(';').filter(function(item) {
return item.indexOf('cookieconsent_status=allow') >= 0
}).length) {
if (navigator.doNotTrack != 1 && navigator.doNotTrack != "yes" && window.doNotTrack != 1 && navigator.msDoNotTrack != 1) {
loadGAonConsent();
}
}

 var url = document.URL;
    var urlparts = url.split("/");
    var cookiemsg = "";
    var cookielink = "";
    var cookielinktext = "";
    var cookiemsg2 = "";
    var allow = "";
    var cookiedismiss = "";
    var cookiedeny = "";
    if(urlparts[1] == "1"){
        cookiemsg = "We use cookies to allow a best possible user experience. For more information, see the ";
        cookielinktext = "privacy policy";
        cookielink = "/privacy";
        cookiemsg2 = "Continued use of this site indicates that you accept this policy.";
        allow = "Accept";
        cookiedeny = "Deny";
    } else {
        cookiemsg = "Wir verwenden Cookies, um Ihnen ein bestm&ouml;gliches Nutzererlebnis zu bieten. Weitere Informationen finden Sie in den ";
        cookielinktext = "Datenschutzerkl&auml;rungen.";
        cookielink = "/datenschutz";
        cookiemsg2 = "Die weitere Nutzung unserer Seiten setzen wir mit einem Einverst&auml;ndnis gleich.";
        allow = "Einverstanden";
        cookiedeny = "Ablehnen";
    }
window.addEventListener("load", function(){
	window.cookieconsent.initialise({
  "palette": {
    "popup": {
      "background": "#eaf7f7",
      "text": "#000000"
    },
    "button": {
      "background": "#a1a1a1"
    }
  },
  "type": "opt-in",
  "content": {
    "message": cookiemsg,
    "deny": cookiedeny,
    "allow": allow,
    "dismiss": cookiedismiss,    
    "link": cookielinktext,
    "href": cookielink
  },
  "elements": {
                  messagelink: '<span id="cookieconsent:desc" class="cc-message">{{message}} <a aria-label="learn more about cookies" tabindex="0" class="cc-link" href="{{href}}">{{link}}</a><br>'+ cookiemsg2 +'</span>'
  },
		onStatusChange: function(status, chosenBefore) {
			var type = this.options.type;
			var didConsent = this.hasConsented();
			if (type == 'opt-in' && didConsent) {
				// enable cookies
				loadGAonConsent();
			}
		}
	})
});
</script>
<style>
.cc-compliance > .cc-btn {flex: 1 0 auto;}
</style>
<!-- cookie consent end --> 



<!-- Javascripts -->
<script src="https://code.jquery.com/jquery-1.11.0.min.js" integrity="sha256-spTpc4lvj4dOkKjrGokIrHkJgNA0xMS98Pw9N7ir9oI=" crossorigin="anonymous"></script>
<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
<?php
	foreach ($js_array as $js) {
		echo '<script type="text/javascript" src="'.$js.'"></script>';
	}?>
<script>
//funktion zum wechseln des bildes:
var clickDisabled = false;

function changeSliderPicWithScroll(number) {
  $("html, body").animate({ scrollTop: 0 }, 600);
  changeSliderPic(number, "up");
}

function changeSliderPic(number, direction) {
  var slide = $("#projekt-slide-"+ number);
  if(direction == "up") {
    slide.addClass("preparation");
    slide.css("top", "100%");
  } else {
    slide.addClass("preparation2");
    slide.css("top", "-100%");
  }
  slide.animate({top: 0}, 500, function() {
    $(".projekt-slide.active").removeClass("active");
    slide.addClass("active");
    slide.removeClass("preparation");
    slide.removeClass("preparation2");
  });

  $(".projekt-credit.active").removeClass("active");
  $("#projekt-credit-"+ number).addClass("active");
}

function prev_slide() {
  if(clickDisabled == true) {
    return;
  }
  var id = $(".projekt-slide.active").attr("id");
  var split_id = id.split("-");
  var number = parseInt(split_id[2]);
  if(number > 0) {
    changeSliderPic(number - 1, "down");
  } else {
    id = $(".projekt-slide").last().attr("id");
    split_id = id.split("-");
    number = parseInt(split_id[2]);
    changeSliderPic(number, "down");
  }

  clickDisabled = true;
  setTimeout(function(){
    clickDisabled = false;
  }, 600);
}

function next_slide() {
  if(clickDisabled == true) {
    return;
  }
  var id = $(".projekt-slide.active").attr("id");
  var split_id = id.split("-");
  var number = parseInt(split_id[2]);
  var idLast = $(".projekt-slide").last().attr("id");
  var split_idLast = idLast.split("-");
  var numberLast = parseInt(split_idLast[2]);
  if(number < numberLast) {
    changeSliderPic(number + 1, "up");
  } else {
    changeSliderPic(0, "up");
  }

  clickDisabled = true;
  setTimeout(function(){
    clickDisabled = false;
  }, 600);
}

function goToGallery() {
  $("html, body").animate({ scrollTop: $(".gallerie").offset().top - 100 }, 600);
}



//FullScreen slider

function changeFullSliderPic(number) {
  var fullSlide = $("#fullscreen-slide-"+ number);
  fullSlide.addClass("preparation");
  fullSlide.css("top", "100%");
  fullSlide.animate({top: 0}, 500, function(){
    $(".fullscreen-slide.active").removeClass("active");
    fullSlide.addClass("active");
    fullSlide.removeClass("preparation");
  });
}

function weitereBlogsLaden() {
  $.ajax({
    method: "POST",
    url: '/resources/fragments/blogLadenFragment.php',
    data:{action:$(".image-item").length},
    success:function(html) {

      var elements = html.split("-|-|-");

      if (elements[elements.length - 1].includes("Keine weiteren Elemente")) {
        $(".weitereLaden").css("display", "none");
      }

      elements.splice(elements.length - 1, 1);
      var domElements = [];
      for (var i = 0; i < elements.length; i++) {
        domElements.push($(elements[i])[0]);
        $(".project-shuffle").append(domElements);
      }
      myShuffle.add(domElements);
      //console.log(html);
    },
    error:function(e) {
      console.log(e.textStatus);
    }
  });
}

$(document).ready(function() {

  if($(".fullscreen-slide").length != 0) {
    var lastID = $(".fullscreen-slide").last().attr("id");
    lastID = lastID.split("-");
    lastID = parseInt(lastID[2]);
    setInterval(function() {
    var fullID = $(".fullscreen-slide.active").attr("id");
    fullID = fullID.split("-");
    fullID = parseInt(fullID[2]);
      if(fullID < lastID) {
        changeFullSliderPic(fullID + 1);
      } else {
        changeFullSliderPic(0);
      }
    }, 4000);

    var lastScrollTop = 0;
    $(window).scroll(function(event){
      if ($(this).scrollTop() >= $(".fullscreen-slide").height() - 100) {
        $(".navbar").addClass("normalNav");
      } else {
        $(".navbar").removeClass("normalNav");
      }
    });
  }

  $(".infoAnchor").on('click', function(event) {
    if (this.hash !== "") {
      
      $(".filter-active").removeClass("filter-active");
      $(event.currentTarget).addClass("filter-active");
      var hash = this.hash;
      $('html, body').animate({
        scrollTop: $(hash).offset().top - 75
      }, 800, function(){
      });
    }
  });
});

$(document).ready(function() {

  $(".backtoTop").on('click', function(event) {
    event.preventDefault();
    $('html, body').animate({
      scrollTop: 0
    }, 800);
  });

  //show currently active link from previous site
  var split = location.search.replace('?', '').split('&').map(function(val){
    return val.split('=');
  });

  if($(".getFilter").length != 0) {
    for(var i = 0; i < split.length; i++) {
      if (split[i][0] == "filter") {
        $(".filter.filter-active").removeClass("filter-active");
        $("[data-filter="+ split[i][1] +"]").addClass("filter-active");
      }
    }

    if ($(".filter-active").length == 0) {
      $("[data-filter=all]").addClass("filter-active");
    }
  } else {
    for(var i = 0; i < split.length; i++) {
      if (split[i][0] == "filter") {
        //add filtered URL to transfer if you go back to a filtered overview and visiting a project without changing the filter
        $(".image-item a").each(function() {
          var link = $(this).attr("href");

          if (link.includes("&filter")) {
            link = link.replace(/&filter=[\w\d]*(?=$)?(?=&)?/g, "");
          } else if (link.includes("?filter")) {
            link = link.replace(/\?filter=[\w\d]*(?=$)?(?=&)?/g, "");
          }

          if (link.includes("?")) {
            link += "&filter=" + split[i][1];
          } else {
            link += "?filter=" + split[i][1];
          }
          $(this).attr("href", link);
        });

        $(".filter.filter-active").removeClass("filter-active");
        $("input[checked=checked]").removeAttr("checked");
        $("input[value="+ split[i][1] +"]").parent().addClass("filter-active");
        $("input[value="+ split[i][1] +"]").attr("checked", "checked");
        myShuffle.filter(split[i][1]);
      }
    }
  }
});

function sortByDate(element) {
  return element.getAttribute('data-time');
}

//Shuffle funktion
var Shuffle = window.Shuffle;
if(document.querySelector('.project-shuffle') != null) {
  var myShuffle = new Shuffle(document.querySelector('.project-shuffle'), {
    itemSelector: '.image-item',
    sizer: '.project-shuffle-sizer',
    buffer: 1,
  });

  if ($(".blog-wrapper").length != 0) {
    myShuffle.sort({reverse: true, by: sortByDate,});
  }

  window.jQuery('input[name="shuffle-filter"]').on('change', function (evt) {
    var input = evt.currentTarget;
    $(".filter.filter-active").removeClass("filter-active");
    $("input[name=shuffle-filter]:checked").parent().addClass("filter-active");

    var value = $("input[name=shuffle-filter]:checked").attr("value");
    $(".image-item a").each(function() {
      var link = $(this).attr("href");

      if (link.includes("&filter")) {
        link = link.replace(/&filter=[\w\d]*(?=$)?(?=&)?/g, "");
      } else if (link.includes("?filter")) {
        link = link.replace(/\?filter=[\w\d]*(?=$)?(?=&)?/g, "");
      }

      if (link.includes("?")) {
        link += "&filter=" + value;
      } else {
        link += "?filter=" + value;
      }
      $(this).attr("href", link);
    });

    if (input.checked) {
      myShuffle.filter(input.value);
    }
  });
}

$("button.navbar-toggle").click(function() {
  if($(".mobile-menu").hasClass("in")) {
    $(".navbar-brand img").removeClass("logo_grey");
    $("button.navbar-toggle span").removeClass("logo_grey");
  } else if($(".mobile-menu").hasClass("collapse")) {
    $(".navbar-brand img").addClass("logo_grey");
    $("button.navbar-toggle span").addClass("logo_grey");
  }
});
</script>


</body>
</html>